Page MenuHomeFreeBSD

[nvram2env] split implementation into generic & MIPS-based code
ClosedPublic

Authored by mizhka on May 23 2016, 4:24 PM.

Details

Summary

This is simple change to split implementation of nvram2env to generic (MI) & MIPS-based code:

  • removed includes like "*siba*", because they are unused
  • added nvram2env_mips.c file with MIPS-specific code, code moved from nvram2env.c
  • added header file to shared defines/structures/function prototypes between MI and MIPS code

Also this fix allows to implement own nvram2env drivers.

Test Plan

Tested on BroadCom router RT-N53. Additional testing are welcome.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mizhka updated this revision to Diff 16739.May 23 2016, 4:24 PM
mizhka retitled this revision from to [nvram2env] split implementation into generic & MIPS-based code.
mizhka updated this object.
mizhka edited the test plan for this revision. (Show Details)
mizhka added reviewers: ray, adrian, landon_landonf.org.
mizhka set the repository for this revision to rS FreeBSD src repository.
mizhka updated this revision to Diff 16744.May 23 2016, 8:21 PM
  • remove directory path from header protector
  • rename NVRAM_SIGNATURE to CFE_NVRAM_SIGNATURE
ray edited edge metadata.May 23 2016, 10:31 PM

Only one comment left.

sys/dev/nvram2env/nvram2env.c
238 ↗(On Diff #16744)

Think, it's time to remove #if-s.

mizhka updated this revision to Diff 16953.May 27 2016, 1:08 AM
mizhka edited edge metadata.
  • removed "#if 1"s
mizhka marked an inline comment as done.May 27 2016, 1:08 AM
ray accepted this revision.May 27 2016, 8:50 AM
ray edited edge metadata.

Now, looks fine.

This revision is now accepted and ready to land.May 27 2016, 8:50 AM
adrian accepted this revision.Jul 24 2016, 7:03 AM
adrian edited edge metadata.

approved!

This revision was automatically updated to reflect the committed changes.